CREATE TABLE exm_spend_authorizations (
    SPEND_AUTHORIZATION_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    SUBMITTER_ID                    NUMBER(18, 0),
    PERSON_ID                       NUMBER(18, 0),
    ASSIGNMENT_ID                   NUMBER(18, 0),
    AUTHORIZATION_REQUESTED_DATE    DATE         ,
    AUTHORIZED_TOTAL                NUMBER       ,
    BALANCE_AMOUNT                  NUMBER       ,
    SPEND_AUTHORIZATION_NUM         VARCHAR2(200),
    PURPOSE                         VARCHAR2(960),
    FUNCTIONAL_CURRENCY_CODE        VARCHAR2(60) ,
    OVERRIDE_APPROVER_ID            NUMBER(18, 0),
    CURRENT_APPROVER_ID             NUMBER(18, 0),
    AUTHORIZATION_SUBMIT_DATE       DATE         ,
    AUTHORIZATION_STATUS_CODE       VARCHAR2(120),
    AUTHORIZATION_PROCESSING_ID     NUMBER(18, 0),
    FINAL_APPROVAL_DATE             DATE         ,
    WORKFLOW_CORRELATION_ID         VARCHAR2(256),
    CREATION_METHOD_CODE            VARCHAR2(120),
    LOCATION_ID                     NUMBER(18, 0),
    LOCATION_ADDRESS                VARCHAR2(320),
    START_DATE                      DATE         ,
    END_DATE                        DATE         ,
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    XCC_DATA_SET_ID                 NUMBER(18, 0),
    FUNDS_STATUS_CODE               VARCHAR2(120),
    EXM_FUNDS_STATUS_CODE           VARCHAR2(120),
    ATTRIBUTE_CATEGORY              VARCHAR2(960),
    ATTRIBUTE_CHAR1                 VARCHAR2(600),
    ATTRIBUTE_CHAR2                 VARCHAR2(600),
    ATTRIBUTE_CHAR3                 VARCHAR2(600),
    ATTRIBUTE_CHAR4                 VARCHAR2(600),
    ATTRIBUTE_CHAR5                 VARCHAR2(600),
    ATTRIBUTE_CHAR6                 VARCHAR2(600),
    ATTRIBUTE_CHAR7                 VARCHAR2(600),
    ATTRIBUTE_CHAR8                 VARCHAR2(600),
    ATTRIBUTE_CHAR9                 VARCHAR2(600),
    ATTRIBUTE_CHAR10                VARCHAR2(600),
    ATTRIBUTE_CHAR11                VARCHAR2(600),
    ATTRIBUTE_CHAR12                VARCHAR2(600),
    ATTRIBUTE_CHAR13                VARCHAR2(600),
    ATTRIBUTE_CHAR14                VARCHAR2(600),
    ATTRIBUTE_CHAR15                VARCHAR2(600),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6) ,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    SPEND_AUTHORIZATION_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    SUBMITTER_ID                    NUMBER(18, 0),
    PERSON_ID                       NUMBER(18, 0),
    ASSIGNMENT_ID                   NUMBER(18, 0),
    AUTHORIZATION_REQUESTED_DATE    DATE         ,
    AUTHORIZED_TOTAL                NUMBER       ,
    SPEND_AUTHORIZATION_NUM         VARCHAR2(200),
    PURPOSE                         VARCHAR2(960),
    FUNCTIONAL_CURRENCY_CODE        VARCHAR2(60) ,
    OVERRIDE_APPROVER_ID            NUMBER(18, 0),
    CURRENT_APPROVER_ID             NUMBER(18, 0),
    AUTHORIZATION_SUBMIT_DATE       DATE         ,
    AUTHORIZATION_STATUS_CODE       VARCHAR2(120),
    AUTHORIZATION_PROCESSING_ID     NUMBER(18, 0),
    FINAL_APPROVAL_DATE             DATE         ,
    WORKFLOW_CORRELATION_ID         VARCHAR2(256),
    CREATION_METHOD_CODE            VARCHAR2(120),
    LOCATION_ID                     NUMBER(18, 0),
    LOCATION_ADDRESS                VARCHAR2(320),
    START_DATE                      DATE         ,
    END_DATE                        DATE         ,
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(960),
    ATTRIBUTE_CHAR1                 VARCHAR2(600),
    ATTRIBUTE_CHAR2                 VARCHAR2(600),
    ATTRIBUTE_CHAR3                 VARCHAR2(600),
    ATTRIBUTE_CHAR4                 VARCHAR2(600),
    ATTRIBUTE_CHAR5                 VARCHAR2(600),
    ATTRIBUTE_CHAR6                 VARCHAR2(600),
    ATTRIBUTE_CHAR7                 VARCHAR2(600),
    ATTRIBUTE_CHAR8                 VARCHAR2(600),
    ATTRIBUTE_CHAR9                 VARCHAR2(600),
    ATTRIBUTE_CHAR10                VARCHAR2(600),
    ATTRIBUTE_CHAR11                VARCHAR2(600),
    ATTRIBUTE_CHAR12                VARCHAR2(600),
    ATTRIBUTE_CHAR13                VARCHAR2(600),
    ATTRIBUTE_CHAR14                VARCHAR2(600),
    ATTRIBUTE_CHAR15                VARCHAR2(600),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6) ,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    XCC_DATA_SET_ID                 NUMBER(18, 0),
    FUNDS_STATUS_CODE               VARCHAR2(120),
    EXM_FUNDS_STATUS_CODE           VARCHAR2(120),
    BALANCE_AMOUNT                  NUMBER       ,
    CONSTRAINT pk_exm_spend_authorizations PRIMARY KEY (SPEND_AUTHORIZATION_ID, SPEND_AUTHORIZATION_ID)
);
